<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html">GLES2HardwareIndexBuffer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::GLES2HardwareIndexBuffer Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html">Ogre::GLES2HardwareIndexBuffer</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html#ad3219addcfdce2d004259d77030197fb">_updateFromShadow</a>(void)</td><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html">Ogre::GLES2HardwareIndexBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a721891f0c0bd391dd5848c8a585ba054">copyData</a>(HardwareBuffer &amp;srcBuffer, size_t srcOffset, size_t dstOffset, size_t length, bool discardWholeBuffer=false)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a0bf3147b1f99a81dd84fb7b978c4686d">copyData</a>(HardwareBuffer &amp;srcBuffer)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html#a5389ef11e015ae433a57bf2d8a07bb31">getGLBufferId</a>(void) const </td><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html">Ogre::GLES2HardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a294ab09e6caef25b3c42c277a5de95e1">getIndexSize</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a7f676fc66c7f4b0c9fc31800d021742e">getManager</a>() const </td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#ab9e775a91b90c6bbac888d97fe51d9d2">getNumIndexes</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a1b1b5faf06139040824fd989d0b279f8">getSizeInBytes</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a3f2671fe0ad937070ea24d9bc7626cd3">getType</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a0e00770f5e9395e41b6520be8421a6c8">getUsage</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html#a1a25b9647d7f8d59233d382c6f77975c">GLES2HardwareIndexBuffer</a>(HardwareBufferManagerBase *mgr, IndexType idxType, size_t numIndexes, HardwareBuffer::Usage usage, bool useShadowBuffer)</td><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html">Ogre::GLES2HardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a43c79e8e2fa85a83f800214b3661bbbf">HardwareBuffer</a>(Usage usage, bool systemMemory, bool useShadowBuffer)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a2a14d8894fab2adbc5995188719aafde">HardwareIndexBuffer</a>(HardwareBufferManagerBase *mgr, IndexType idxType, size_t numIndexes, HardwareBuffer::Usage usage, bool useSystemMemory, bool useShadowBuffer)</td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ad523887cfaa6abe48dd494a3ea06805a">hasShadowBuffer</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0fa176ad39ac15fc0a6028d820a6fe228ae">HBL_DISCARD</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0fa32a2f7b1c3430cc9c3f0f665934d0c4a">HBL_NO_OVERWRITE</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0fae11601d29cd56aad7ea7a1b23a688b0e">HBL_NORMAL</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0faa364c1511514cd4d7ee1e7092eb41288">HBL_READ_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a246699879ba7647973a2d8ed86acf76f">HBU_DISCARDABLE</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630abec61c14b13652a06566a79afd6f7518">HBU_DYNAMIC</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630aa0c82d1b27d6cc04e4b5f6d47a22a74c">HBU_DYNAMIC_WRITE_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a29ff2e0fd2b408359e84291b27282516">HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a6f26f67ab31d60248314c9c6c77c9edb">HBU_STATIC</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996">HBU_STATIC_WRITE_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a2fe20ff00e9acb928a2d9680f0c505e2">HBU_WRITE_ONLY</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326">IndexType</a> enum name</td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a3d5a62cbd76fc2ecd4e1a540bac5f9bc">isLocked</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a61086322fba08abadf4fe6734a7c70f7">isSystemMemory</a>(void) const </td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326a53907abe886cb9c6ebeb2520733aee4a">IT_16BIT</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a25ba4923e015d46de162f7cc4c256326aa5194f6b6d409b1b20f91adf989ef329">IT_32BIT</a> enum value</td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ab1caebda1f7442706df97531c2d90aaf">lock</a>(size_t offset, size_t length, LockOptions options)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a93b204642190e611bc226ea08d29160e">lock</a>(LockOptions options)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html#a4723c185adddd1b0d3021c618a9af98b">lockImpl</a>(size_t offset, size_t length, LockOptions options)</td><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html">Ogre::GLES2HardwareIndexBuffer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f">LockOptions</a> enum name</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html#af69d7cbed8906b67ccb714b730178621">mBufferId</a></td><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html">Ogre::GLES2HardwareIndexBuffer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a55901ccfe05b1d3dc65be17174aae6ed">mIndexSize</a></td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#ad55227078ba92018afb29c98a1287eb6">mIndexType</a></td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a25edb91791e48a7cc9ba2fb05f11bd33">mIsLocked</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html#aa85b878f732825ab0532d93398daab1a">mLockedToScratch</a></td><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html">Ogre::GLES2HardwareIndexBuffer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ac96a7a04f4e29d8d00117a80d9a1c9a0">mLockSize</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a272cf9751affd73ea03930153357930b">mLockStart</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#af67b89fb4d762d17da970269bcd9894a">mMgr</a></td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a8dfffabc8a138184c98227c7ad4fe871">mNumIndexes</a></td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html#a372c0de37c4b7167d02674d7e19dc9f0">mScratchOffset</a></td><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html">Ogre::GLES2HardwareIndexBuffer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html#a3a3e6c3a0dbbeaed37a4cffbb16d3624">mScratchPtr</a></td><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html">Ogre::GLES2HardwareIndexBuffer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html#a7d6f02da929e17ea3a42b45049385318">mScratchSize</a></td><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html">Ogre::GLES2HardwareIndexBuffer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html#a7ed5d8dedcd7879f8ce750305b168257">mScratchUploadOnUnlock</a></td><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html">Ogre::GLES2HardwareIndexBuffer</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aa7af816828af5aceb84033a9e101efb6">mShadowBuffer</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a68127e87e132304c7655df554a82110c">mShadowUpdated</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#aa8fecea9221ffacaae2f1fdea38558da">mSizeInBytes</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a47e53af2e87624c42ab934766bf65fca">mSuppressHardwareUpdate</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#af97b321278124803d13b700a46657ecb">mSystemMemory</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a2eb83f024781415a7fefb31f65a255c2">mUsage</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a2caed02d4c9ad400d020ea8b0b24adf4">mUseShadowBuffer</a></td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html#a950d8dcbd84a8780ff5aeee8e7efff7d">readData</a>(size_t offset, size_t length, void *pDest)</td><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html">Ogre::GLES2HardwareIndexBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a688e1be4a913099ce5e06172771e2d45">suppressHardwareUpdate</a>(bool suppress)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a64ddd429ff2c8ac4f0cca5decb5c6757">unlock</a>(void)</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html#a47fb2e9ff381602219618a1f9863c34d">unlockImpl</a>(void)</td><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html">Ogre::GLES2HardwareIndexBuffer</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630">Usage</a> enum name</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html#a7db93b9bb026901a7ddbacc12728caa4">writeData</a>(size_t offset, size_t length, const void *pSource, bool discardWholeBuffer=false)</td><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html">Ogre::GLES2HardwareIndexBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html#a7f3e4f5842a09349357171d4b7652daf">~GLES2HardwareIndexBuffer</a>()</td><td><a class="el" href="classOgre_1_1GLES2HardwareIndexBuffer.html">Ogre::GLES2HardwareIndexBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareBuffer.html#a2514db557f1562eef2b7a70a1b2d8344">~HardwareBuffer</a>()</td><td><a class="el" href="classOgre_1_1HardwareBuffer.html">Ogre::HardwareBuffer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#a03a16d129c9720cdcc9e36d451f1a65b">~HardwareIndexBuffer</a>()</td><td><a class="el" href="classOgre_1_1HardwareIndexBuffer.html">Ogre::HardwareIndexBuffer</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:28
</p>
</body>
</html>
